
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    /*font-size: 14px;*/
}

.container {
    margin: auto;
    width: 90%;
    direction: rtl;
}

.tabcontent {
    flex: auto;
    flex-wrap: wrap;
    justify-content: space-between;
    opacity: 1;
}

.tab {
    display: flex;
    width: 100%;
    justify-content: space-between;
    margin-top: 10px
}

.tablinks {
    display: flex;
    width: 20%;
    height: 70px;
    justify-content: space-around;
    align-items: center;
    color: white;
    background-color: rgba(143, 143, 143, 1);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    transition: width 500ms ease;
    cursor: pointer;
}

.tablinks:hover {
    width: 22%;

}

.tablinks img {
    height: 50px;
}

.primary {
    background-color: rgba(0, 180, 165, 1);
}

.secondary {

    border-bottom:rgba(250, 234, 67, 1) 7px solid ;
}


/*#Region***********product**************/
.productBox {
    display: flex;
    flex-direction: column;
    height: auto;
    width: 500px;
    margin: 20px 30px;
    border: gray thin solid;

    /* box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); */
}

.productBox:hover {

    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.productImage {
    width: 100%;
    height: auto;
}

.productDescription {
    height: 80px;
    background-color: rgba(0, 180, 165, 1);
    color: white;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
}

.descriptionButton {
    color: white;
    background-color: rgba(0, 180, 165, 1);
    border: wheat thin solid;
    padding: 5px;
    opacity: 0.7;
    transition: opacity,font-size 500ms ease;
    cursor: pointer;
}

.descriptionButton:hover {
    opacity: 1;
    background-color: rgba(250, 234, 67, 1);
    font-weight: bolder;
    font-size: 12px;
}

.fa-chevron-left, .fa-chevron-down {
    font-size: 18px !important;
}

/******************PRODUCT_DETAIL*********************/
.productDetail {
    display: flex;
    color: rgba(0, 0, 0, 0.7);
    margin-top: 50px;
    margin-bottom: 50px;
}

.zoom {
    display: inline-block;
    position: relative;
}

.imagesPart {
    display: flex;
    width: 700px;
    flex-direction: column;
    border: black thin solid;
    position: relative;
}

.restImage {
    display: flex;
    width: 700px;
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 10px 0;
}

.restImage img {
    width: 49%;
    height: 150px;
}

.detailPart {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    width: 700px;
    margin-right: 50px
}

.detailPart h1 {
    font-size: 20px
}

.name h1 {
    font-size: 25px;
    color: rgba(0, 0, 0, 0.6);
    text-align: center;
}

.price {
    color: #ef5662;
}

.price h1 {
    margin: 0 20px 20px 0;
    display: inline-block;
}

.price h1 label{
    color: rgba(0, 0, 0, 0.7);
}

.delivery {
    font-size: 12px;
}

.delivery i {
    color: darkgray;
    font-size: 20px;
    padding: 5px;
}

.restImage img {
    cursor: pointer;
}

.feature li {
    font-size: 14px;
    line-height: revert;
}

.feature ul {
    list-style: circle;
    padding: 10px;
}

.cartButton {
    color: white;
    background-color: rgba(0, 180, 165, 1);
    border: wheat thin solid;
    opacity: 0.7;
    transition: opacity 500ms ease;
    cursor: pointer;
    width: 100%;
    height: 50px;
    font-size: 18px;
}

.cartButton:hover {
    opacity: 1;
}

.productService {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 90%;
    margin: auto;
    margin-bottom: 20px;
    color: black;
}

.productService img {
    width: 50px;
    height: 50px;
}

.productService a {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
}

.productService h2:hover {
    color: #00b4a5;
}

/************MEDIA_QUERY**************/
@media (max-width: 992px) {
    .tab {
        flex-wrap: wrap;
    }

    .tablinks {
        width: 300px;
    }

    .tablinks:hover {
        width: 220px;
    }

    .productDetail {
        flex-direction: column;
    }

    .detailPart div {
        margin: 10px;
    }

    .detailPart {
        width: inherit;
        margin-right: 0;
    }

    .tabcontent {
        justify-content: center;
    }
}

@media (max-width: 768px) {
    .tab {
        flex-direction: column;
    }

    .tablinks {
        width: 100%;
    }

    .tablinks:hover {
        width: 80%;
    }

    .tabcontent {
        flex-direction: column;
        width: 100%;
    }

    .productBox {
        width: 90%;
        margin: 5%;
    }

    .productDetail {
        flex-direction: column;
    }

    .imagesPart {
        width: inherit;
    }

    .restImage {
        width: inherit;
        flex-direction: column;
        align-items: center;
    }

    .restImage img {
        margin: 10px;
        width: 90%;
    }

    #majorImage {
        width: 100% !important;
    }
}

@media (max-width: 480px) {

    .productBox h1 {
        font-size: 10px;
    }

    .productService {
        flex-direction: column;
    }

    .productService div {
        margin-bottom: 20px;
    }
}
